%define	name	vorbis-tools
%define	version	1.0.1
%define release	5mdk
%define	theirversion 1.0.1

# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

Name:		%{name}
Summary:	Several Ogg Vorbis Tools
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL
URL:		http://www.xiph.org/
Source:		ftp://ftp.xiph.org/pub/vorbis-tools/%{name}-%{theirversion}.tar.bz2
Patch0:		vorbis-tools-1.0.1-lib64.patch.bz2
Patch4:		vorbis-tools-1.0-next_on_SIGUSR1.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%if %{mdkversion} >= 920
Requires:	libogg >= 1.0-1mdk libvorbis >= 1.0-1mdk
%else
Requires:	libogg0 >= 1.0-1mdk libvorbis0 >= 1.0-1mdk
%endif
BuildRequires:	libao-devel >= 0.8.3 libcurl-devel libogg-devel >= 1.0-1mdk zlib-devel liboggflac-devel
BuildRequires:  libspeex-devel
BuildRequires:  automake1.7
BuildRequires:	openssl-devel libvorbis-devel >= 1.0-1mdk texinfo
# (gc) needed for AM_PATH_PROG_WITH_TEST
BuildRequires:	gettext-devel

%description
This package contains oggenc (and encoder) and ogg123 (a playback tool)

Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html

%prep
%setup -q -n %{name}-%{theirversion}
%patch0 -p0
%patch4 -p1
aclocal-1.7
WANT_AUTOCONF_2_5=1 autoconf

%build
%configure2_5x --with-curl-libraries=%{_libdir}
%make

%install
%makeinstall_std

%find_lang %{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README ogg123/ogg123rc-example
%{_bindir}/*
%{_mandir}/*/*.bz2

%changelog
* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- rebuild for new flac

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-4mdk
- rebuild for new curl

* Mon Dec 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- fix buildrequires again

* Sun Dec 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- add missing buildrequires

* Thu Dec 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- new version

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7mdk
- use new library deps for 9.2

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-6mdk
- rebuild
- cosmetics
- drop some redundant buildrequires

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-6mdk
- rebuild

* Fri May  2 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- fix buildrequires thx to stefan's robot

* Thu Apr 24 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fix buildrequires thx to stefan's robot

* Thu Apr 17 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-3mdk
- fix oggdec options parsing thx to a patch provided in #3766 by Samuel
  Merritt
- provide mo files

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- Patch0: lib64 fixes to acinclude.m4

* Fri Jul 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- final version!

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.0-0.rc3.4mdk
- fix-oggenc-quiet-mode

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.rc3.3mdk
- BuildRequires (openssl-devel)

* Wed Jan 16 2002 Pixel <pixel@mandrakesoft.com> 1.0-0.rc3.2mdk
- fix-quiet-mode
- add BuildRequires libcurl-devel

* Mon Jan 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc3.1mdk
- new version

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.3mdk
- fix obsolete-tag Copyright
- fix patch-not-applied 
- fix strange-permission 

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.2mdk
- version 1.0rc2

* Wed Aug  1 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.2mdk
- really remove my `ogginfo' implementation now that they provide one

* Sat Jun 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.1mdk
- version 1.0rc1

* Mon Mar 12 2001 Pixel <pixel@mandrakesoft.com> 1.0-0.beta4.2mdk
- adapt patch4

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta 4 release

* Sat Dec 30 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.beta3.4mdk
- add next on SIGUSR1

* Fri Dec 29 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.beta3.3mdk
- add close_devices (esp /dev/dsp) on suspend (SIGTSTP), and open_devices on SIGCONT

* Thu Dec  7 2000 Pixel <pixel@mandrakesoft.com> 1.0-0.beta3.2mdk
- defaults-to-OSS-driver instead of null dummy stupid one
- fix for -z option (shuffle) of ogg123

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- Package for Linux-Mandrake

* Sun Oct 29 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
